# NMSItemStack
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.reflection.versions

## Interface NMSItemStack

All Known Implementing Classes:
  NMSItemStack_1_12_2, NMSItemStack_1_13, NMSItemStack_1_13_1, NMSItemStack_1_14, NMSItemStack_1_15

    public interface NMSItemStack

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key)`
`java.lang.Boolean` `hasString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key)`
`org.bukkit.inventory.ItemStack` `setString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key, java.lang.String value)`

### Method Detail

#### getString

    java.lang.String getString(org.bukkit.inventory.ItemStack itemStack,
                               java.lang.String key)

#### hasString

    java.lang.Boolean hasString(org.bukkit.inventory.ItemStack itemStack,
                                java.lang.String key)

#### setString

    org.bukkit.inventory.ItemStack setString(org.bukkit.inventory.ItemStack itemStack,
                                             java.lang.String key,
                                             java.lang.String value)